## vdr-sleeptimer-0.8.3.tar.gz

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id: Makefile 1.22 2013/01/12 13:45:01 kls Exp $

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = sleeptimer

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The directory environment:

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
#
TMPDIR ?= /tmp

### The compiler options:

export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API:

APIVERSION = $(call PKGCFG,apiversion)

### Allow user defined options to overwrite defaults:

-include $(PLGCFG)

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:

SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

INCLUDES +=

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o i18n.o

### The main target:

all: $(SOFILE) i18n

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) -o $@ $<

### Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<see README>' -o $@ `ls $^`

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

### Targets:

$(SOFILE): $(OBJS)
	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) -o $@
                                
install-lib: $(SOFILE)
	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

dist: $(I18Npo) clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

=== debian/changelog ===
vdr-plugin-sleeptimer (0.8.3-201205011650dev) experimental; urgency=low

  * Makefile adaption concerning i18n. Thx to idl0r.

 -- Midas <vdrportal_midas <at> gmx <dot> de>  Tue, 01 May 2012 16:51:46 +0200

vdr-plugin-sleeptimer (0.8.3-201205011141dev) experimental; urgency=low

  * added missing include to i18n.h. thanx to nox again
  * changed -Woverloaded-virtual to -Werror=overloaded-virtual in Makefile

 -- Midas <vdrportal_midas <at> gmx <dot> de>  Tue, 01 May 2012 11:41:30 +0200

vdr-plugin-sleeptimer (0.8.3-DEV) experimental; urgency=low

  * Non-maintainer upload.
  * Developer version (WIP). Don't expect it to work.

 -- Midas <vdrportal_midas <at> gmx <dot> de>  Sat, 06 Aug 2011 13:01:26 +0200

vdr-plugin-sleeptimer (0.8.2) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release.

 -- Midas <vdrportal_midas <at> gmx <dot> de>  Tue, 02 Aug 2011 02:48:53 +0200

vdr-plugin-sleeptimer (0.8.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release

 -- Midas <vdrportal_midas at gmx dot de>  Sun, 31 Jul 2011 09:08:16 +0200

vdr-plugin-sleeptimer (0.8-1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release

 -- Midas <vdrportal_midas at gmx dot de>  Thu, 21 Jul 2011 07:29:16 +0200

vdr-plugin-sleeptimer (0.7-21) experimental; urgency=low

  * Removed non-standard shebang line from debian/rules
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 20:52:24 +0100

vdr-plugin-sleeptimer (0.7-20) experimental; urgency=low

  * Release for vdr 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:11:31 +0200

vdr-plugin-sleeptimer (0.7-19) experimental; urgency=low

  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Using COMPAT=5 now

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 25 Jul 2008 15:54:28 +0200

vdr-plugin-sleeptimer (0.7-18) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 00:56:58 +0200

vdr-plugin-sleeptimer (0.7-17) experimental; urgency=low

  * Build-Depend on vdr-dev (>= 1.6.0)

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 24 Mar 2008 20:14:27 +0100

vdr-plugin-sleeptimer (0.7-16) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:33:29 +0100

vdr-plugin-sleeptimer (0.7-15) unstable; urgency=low

  * Release for vdr 1.5.13

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:31:50 +0100

vdr-plugin-sleeptimer (0.7-14) unstable; urgency=low

  * Release for vdr 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:48 +0100

vdr-plugin-sleeptimer (0.7-13) unstable; urgency=low

  * Release for vdr 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:38 +0100

vdr-plugin-sleeptimer (0.7-12) unstable; urgency=low

  * Release for vdr 1.5.10

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 16 Oct 2007 23:51:17 +0200

vdr-plugin-sleeptimer (0.7-11) unstable; urgency=low

  * Release for vdr 1.5.9

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 28 Aug 2007 01:01:28 +0200

vdr-plugin-sleeptimer (0.7-10) unstable; urgency=low

  * Release for vdr 1.5.8

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 23 Aug 2007 01:09:31 +0200

vdr-plugin-sleeptimer (0.7-9) unstable; urgency=low

  * Release for vdr 1.5.6

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 14 Aug 2007 01:46:40 +0200

vdr-plugin-sleeptimer (0.7-8) unstable; urgency=low

  * Release for vdr 1.5.5

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 27 Jun 2007 23:03:10 +0200

vdr-plugin-sleeptimer (0.7-7) unstable; urgency=low

  * Release for vdr 1.5.2

 -- Thomas Günther <tom@toms-cafe.de>  Sat, 28 Apr 2007 00:01:19 +0200

vdr-plugin-sleeptimer (0.7-6) unstable; urgency=low

  * Release for vdr 1.5.1

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 27 Feb 2007 19:59:38 +0100

vdr-plugin-sleeptimer (0.7-5) unstable; urgency=low

  [ Thomas Günther ]
  * Replaced VDRdevel adaptions in debian/rules with make-special-vdr
  * Adapted call of dependencies.sh and patchlevel.sh to the new location
    in /usr/share/vdr-dev/

  [ Tobias Grimm ]
  * Build-Depend on vdr-dev (>=1.4.5-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 14 Jan 2007 19:17:49 +0100

vdr-plugin-sleeptimer (0.7-4) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.4-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sun,  5 Nov 2006 11:45:43 +0100

vdr-plugin-sleeptimer (0.7-3) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.3-1)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 23 Sep 2006 20:33:00 +0200

vdr-plugin-sleeptimer (0.7-2) unstable; urgency=low

  * Build-Depend on vdr-dev (>=1.4.2-1)
  * Bumped Standards-Version to 3.7.2

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 27 Aug 2006 14:39:35 +0200

vdr-plugin-sleeptimer (0.7-1) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - New upstream release
    - Removed 02_sleeptimer-1.3.32.dpatch
    - Removed 90_APIVERSION.dpatch

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Sun, 18 Jun 2006 16:16:58 +0200

vdr-plugin-sleeptimer (0.6-15) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Build-Depend on vdr-dev (>=1.4.1-1)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Fri, 16 Jun 2006 22:08:01 +0200

vdr-plugin-sleeptimer (0.6-14) unstable; urgency=low

  * Thomas Schmidt <tschmidt@debian.org>
    - Build-Depend on vdr-dev (>=1.4.0-1)

 -- Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>  Wed,  3 May 2006 23:08:25 +0200

vdr-plugin-sleeptimer (0.6-13) unstable; urgency=low

  * Tobias Grimm <tg@e-tobi.net>
    - Build-Depend on vdr (>=1.3.48-1)
    - Added 90_APIVERSION.dpatch



=== debian/control ===
Source: vdr-plugin-sleeptimer
Section: video
Priority: extra
Maintainer: Tobias Grimm <tg@e-tobi.net>
Origin: ctvdr
Bugs: mailto:pkg-vdr-dvb-devel@lists.alioth.debian.org
Build-Depends: debhelper (>= 5), cdbs, dpatch, vdr-dev (>= 1.6.0-5)
Standards-Version: 3.8.3

Package: vdr-plugin-sleeptimer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: Sleeptimer plugin for vdr
 Allows to set a timer for powering off vdr once.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/dpatch.mk

DEB_INSTALL_CHANGELOGS_ALL = HISTORY

MAKE_OPTIONS = DVBDIR=/usr VDRDIR=/usr/include/vdr LIBDIR=. \
               LOCALEDIR=debian/tmp/usr/share/locale

common-build-arch::
	$(MAKE) all $(MAKE_OPTIONS)

cleanbuilddir::
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f libvdr-*.so.*

common-binary-predeb-arch::
	sh /usr/share/vdr-dev/dependencies.sh

=== debian/watch ===
version=2
http://linvdr.org/download/vdr-sleeptimer/sleeptimer-(.*)\.tar\.gz
